commit:     400e3456464634bdde545bfee4e5e5943363ec6f
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Wed Oct 10 10:39:46 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 18 20:02:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=400e3456

dev-python/click: bump to 7.0

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Package-Manager: Portage-2.3.50, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10123
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/click/Manifest         |  1 +
 dev-python/click/click-7.0.ebuild | 43 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/click/Manifest b/dev-python/click/Manifest
index bf5b5c0c706..196e55385da 100644
--- a/dev-python/click/Manifest
+++ b/dev-python/click/Manifest
@@ -1,3 +1,4 @@
 DIST click-5.1.tar.gz 275592 BLAKE2B 
0a58e210003f88081fd2ba8e9f401c74d8d61758ae096fde9fa4aebe8a819623aeb90106bf141d5193d632d70488629cf63833297dc1e4b200824cee205c3c4b
 SHA512 
b860b0227644f5d1cc24d41e66985421ec971f11f3f596fb46508fdc787200b949e7ef29b2035421ebb0115384688da03c3c95a0d6acc58dd3b566b32a2b7c6a
 DIST click-6.6.tar.gz 283420 BLAKE2B 
1fdc90ca65d18153d6260b6753e14a1d94cae77ab7f52dcda4fb439f9fdfeea8fdc33b1ce60e93711ba40ecdc508dc3fc5f8aadc371bd85b7dca1bfa070786c2
 SHA512 
5650cfe6c8b55a7e823e22248964143278d61383dac63497508a864807f1950f9dd5d76ce6a501e589dd81fed6e2a1248d3f8973be25a91950896b7408dc88bc
 DIST click-6.7.tar.gz 279019 BLAKE2B 
cc1e59d0a34ccb4ce50c8a2982b308d23cd525ceb44d84a493c0fe9b5a6f7f616e8a4c440ae211fca811a2bf904ddb75d93618f3c6ac7bbe6b1ed022710dab1f
 SHA512 
d454369fe1acb01c2210a61e15f45ac9cc77102c93345257f4ef3090bd8f31f1ccc49d9fd6ea670cddca9f715ad5db29368b4eecd95abff50d1033c4f7a967d6
+DIST click-7.0.tar.gz 289077 BLAKE2B 
0e180eeb1d7d9da34c33f95398c2b53dce124317bd2777ad545c1d4b4f3a96da0e281fac46c8fe6446848f25f7b705d2348d3ab6f5786219b4214650424ab260
 SHA512 
7ed2bf677f4a56f120deb61318675679a8f09c152af618e8808d24a20cc8537b0691c18b0de2e25b814c59e34b47d6f4d71191856422fc3be206de7669d78f3a

diff --git a/dev-python/click/click-7.0.ebuild 
b/dev-python/click/click-7.0.ebuild
new file mode 100644
index 00000000000..e6e39841fdc
--- /dev/null
+++ b/dev-python/click/click-7.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package for creating beautiful command line interfaces"
+SRC_URI="https://github.com/pallets/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="http://click.pocoo.org/ https://pypi.org/project/click/";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/pallets-sphinx-themes[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+       # Prevent un-needed d'loading
+       sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       pytest -vv || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       use examples && dodoc -r examples
+       distutils-r1_python_install_all
+}

Reply via email to